package conf

var (
	//agentBrokers    = []string{"192.168.4.100:15091", "192.168.4.100:15092", "192.168.4.100:15093"}
	agentBrokers    = []string{"172.30.12.19:9092", "172.30.12.20:9092", "172.30.12.21:9092"}
	agentKafkaTopic = "quantGroup.tech.enoch.pro"
	agentKafkaGroup = "quantGroup-enoch-agent"
)

type KafkaConf struct {
	Broker []string
	Topic  string
	Group  string
}

func HealthTopic() KafkaConf {
	return KafkaConf{
		[]string{"172.30.12.19:9092", "172.30.12.20:9092", "172.30.12.21:9092"},
		"quantGroup.tech.enoch.pro",
		"quantGroup-enoch-agent"}
}

func BraveTopic() KafkaConf {
	return KafkaConf{
		[]string{"172.30.12.19:9092", "172.30.12.20:9092", "172.30.12.21:9092"},
		"quantGroup.tech.brave.pro",
		"enoch-group"}
}
